## python-pypathlib 0.1.3

=== Makefile ===
VERSION=$(shell python3 -c "import pypathlib; print(pypathlib.__version__)")

default:
	@echo "\"make publish\"?"

# https://packaging.python.org/distributing/#id72
upload: setup.py
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	rm -f dist/*
	python3 setup.py sdist
	python3 setup.py bdist_wheel
	twine upload dist/*

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	@echo "Tagging v$(VERSION)..."
	git tag v$(VERSION)
	git push --tags
	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "$(VERSION)"}' https://api.github.com/repos/nschloe/pypathlib/releases

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/ MANIFEST .pytest_cache/

format:
	isort -rc .
	black .

black:
	black .

lint:
	black --check .
	flake8 .

=== debian/changelog ===
python-pypathlib (0.1.3-1) unstable; urgency=medium

  * New upstream release
  * add Vcs tags: https://salsa.debian.org/science-team/python-pypathlib

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2019 11:13:23 +0800

python-pypathlib (0.1.2-2) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2019 07:25:55 +0800

python-pypathlib (0.1.2-1) unstable; urgency=low

  * Initial Debian packaging. Closes: #939134.
  * debian patch tests_skip_perfplot.patch skips using perfplot when
    running tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Sep 2019 05:32:11 +0800

=== debian/control ===
Source: python-pypathlib
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-numpy,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/nschloe/pypathlib
Vcs-Browser: https://salsa.debian.org/science-team/python-pypathlib
Vcs-Git: https://salsa.debian.org/science-team/python-pypathlib.git

Package: python3-pypathlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python tools for 2D open and closed paths
 Lightweight package for working with 2D paths/polygons.
 .
 pypathlib is fully vectorized, so it's pretty fast. (Not quite as
 fast as mathplotlib.path.contains_points though.)
 .
 Relevant publications:
  * S.W. Sloan, _A point-in-polygon program_. Adv. Eng. Software, Vol
    7, No. 1, pp.45-47, 1985, doi:10.1016/0141-1195(85)90094-4

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pypathlib
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-pypathlib,
 python3-matplotlib,
 python3-numpy,
 python3-pytest

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-pypathlib-$1.tar.gz%" \
 https://github.com/nschloe/pypathlib/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
